import java.util.*;
import greenfoot.*;

/**
 * Elternklasse der angreifenden Drohnen (nur dynamische Szenarien)
 */
public abstract class Gegner extends Actor
{
    protected int dieCounter = 20; // wie lange sieht man die Explosion
    protected boolean wurdeGetroffen = false;
    protected Mars m;
    protected int geschwindigkeit = 7;
    public void addedToWorld(World w) {
        this.m = (Mars)w;
    }

    public void act()
    {
        this.bewegen();
        this.bombeAbwerfen();

        if(this.isTouching(Rakete.class)) {
            this.wurdeGetroffen = true;
            this.setImage("explosiongelb_100.png");
            Sound.play("EXPLOSION");
            this.dieCounter = 20;
            this.m.objektAbschussRegistrieren();
            this.removeTouching(Rakete.class);

        }
        if(this.wurdeGetroffen) {
            this.dieCounter--;
            if(this.dieCounter <= 0) {
                this.getWorld().removeObject(this);
                return;
                // this.m.drohneWurdeZerstoert();
            }
        }
        this.dieCounter--;
    }

    public void bewegen() {

    }
    public void bombeAbwerfen() {
        
    }
}
