import greenfoot.*;

public class Rakete extends Item
{
    private boolean raketeIstSicher = true; // nur relevant für E3M03

    public Rakete(boolean istSicher) {  // konstruktor für rumrennen-szenarien
        this.raketeIstSicher = istSicher;
        this.setImage(this.raketeIstSicher ? "rakete_50px_hoch.png" : "rakete_50px_hoch_falsch.png");
    }

    public Rakete() {   // konstruktor für baller-szenarien

    }

    public boolean getRaketeIstSicher() {
        return this.raketeIstSicher;
    }

    public void setRaketeIstSicher(boolean istSicher) {
        this.raketeIstSicher = istSicher;
    }  

    public void act()
    {
        if(SzenarioKonfigurator.szenarioArt.equals("2-dynamisch")) {
            this.setLocation(this.getX(), this.getY()- 4);
            if(this.isAtEdge()) {
                this.getWorld().removeObject(this);
            }  
        }

    }
}
