import lang.stride.*;
import java.util.*;
import greenfoot.*;

/**
 * 
 */
public class Label extends UIStuff
{
    
    private SzenarioTyp szenarioTyp;

    public Label() {
        
    }
 public Label(String text, SzenarioTyp szenarioTyp, int fontSize) {
        this.szenarioTyp = szenarioTyp;
        setImage(new GreenfootImage(text, fontSize, Color.WHITE, new Color(0, 0, 0, 0)));
    }
    // Das Folgende nur für das Anleitungslabel
    public static String anleitungstext() {
        return ueberschrift() + SzenarioKonfigurator.anleitungstext + weiter() + footer();

    }

    private static String weiter() {
        return "\n\n ------ Taste R, um Spiel fortzusetzen -----\n\n";
    }
    private static String ueberschrift() {
        return "ESCAPE FROM MARS - EPISODE " + SzenarioKonfigurator.episode +
               ", MISSION " + SzenarioKonfigurator.mission + "\n\n";
    }
    private static String footer() {
        return "\n\nMehr Info: www.escape-from-mars.de";
    }
        public SzenarioTyp getSzenarioTyp() {
        return szenarioTyp;
    }
}
