import greenfoot.*;  // Importiere die Greenfoot-Bibliothek

public class Uhr
{
    // ChatGPT 12.12.2024
    private static long startZeit; // Startzeit
    private static boolean laeuft = false; // Status der Uhr

    // Methode zum Starten der Uhr
    public static void starten() 
    {
        startZeit = System.currentTimeMillis(); // Setze die Startzeit
        laeuft = true; // Setze den Status auf läuft
    }

    // Methode zum Abrufen der vergangenen Zeit in Millisekunden
    public static long vergangeneMillisekunden() 
    {
        if (laeuft) {
            long aktuelleZeit = System.currentTimeMillis();
            return aktuelleZeit - startZeit; // Berechne die vergangenen Millisekunden
        }
        return 0; // Wenn die Uhr nicht läuft, gebe 0 zurück
    }

    // Methode zum Stoppen der Uhr
    public static void stoppen() 
    {
        laeuft = false; // Setze den Status auf nicht läuft
    }
}
